using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DisplayAnywhere
{
    public partial class EditForm : Form
    {
        public EditForm()
        {
            InitializeComponent();
        }

        public void SetBindingSource(BindingSource bindingSource)
        {
            _bindingSource = bindingSource;
            propertyNumberTextBox.DataBindings.Add("Text", _bindingSource, "Title");
            styleTextBox.DataBindings.Add("Text", _bindingSource, "Description");
            priceTextBox.DataBindings.Add("Text", _bindingSource, "ImageFileName");
        }

        BindingSource _bindingSource;

        private void menuDone_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
        }

    }
}